# Update event

`PATCH /events/{id}`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `id` (path, string, **required**) (example: `00000000-0000-0000-0000-000000000000`)

## Request Body

Content-Type: `application/json`

- `name` (string)
- `visibility` (string)
- `registrationLimit` (integer)
- `doorTimeMinutes` (integer)
- `tags` (array)
- `timezone` (string)
- `featuredImageId` (string)
- `imageIds` (array)
- `slug` (string)

## Responses

### 200 — Updates the event slug

- `object` (string)
- `id` (string)
- `slug` (string)
- `name` (string)
- `description` (string)
- `category` (string)
- `status` (string)
- `visibility` (string)
- `accessMode` (string)
- `timezone` (string)
- `locationSetting` (string)
- `hideAddressUntilPurchase` (boolean)
- `featuredVideoUrl` (any)
- `bookText` (string)
- `collectInformationSetting` (string)
- `refundsAllowed` (boolean)
- `orderAnswersEditable` (boolean)
- `doorTimeMinutes` (integer)
- `showOccurrencesAsSeparateEvents` (boolean)
- `tags` (array)
- `registrationLimit` (integer)
- `currency` (string)
- `featuredImageUrl` (string)
- `images` (array)
- `theme` (string)
- `seatsEventKey` (any)
- `likeCount` (integer)
- `url` (string)
- `createdAt` (string)
- `updatedAt` (string)
- `meta` (object)
  - `requestId` (string)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 403 — Updates a draft event

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 404 — Returns 404 when event is not owned by the caller

- `object` (string)
- `status` (integer)
- `message` (string)
- `meta` (object)
  - `requestId` (string)

### 422 — Rejects the occurrences key

- `object` (string)
- `status` (integer)
- `message` (string)
- `errors` (array)
  Items:
    - `field` (string)
    - `message` (string)
- `meta` (object)
  - `requestId` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/update-event
